package timingexp;

import Tools.*;

/**
 * The two classes of experiments, RMIExp and HTTPExp, extend this
 * abstract class. GenerateTestCases uses this class as a generic
 * way to invoke either kind of experiment.
 */
public abstract class Experiment {
	abstract void runExperiment(Options opts);
	abstract Options optionsFactory();
}
